/*
 * Value.java
 * Created on May 3, 2005 
 * Author: 	László Felföldi, Etixpert GmbH
 * mail:	laszlo.felfoldi@etixpert.com		
 */
package com.etixpert.evolution.value;

import java.util.Hashtable;
import java.util.Map;

public class Value {
	protected Map members;
	
	public void set(String name, Object value) {
		if (value != null) {
			members.put(name, value);
		} 
		else {
			members.remove(name);			
		}
	}

	public Object get(String name) {
		return members.get(name);
	}
	
	public Value() {
		members = new Hashtable();
	}
}
